ReferenceItem lists
Units
GET
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
application/json- response
[index: integer]?curl -X GET 'https://<your-instance>/api/item-lists/units' \ -H 'Authorization: Bearer <access-token>'[ { "conversionToSIBaseUnit": 0, "id": 0, "indivisible": true, "isInvisible": true, "label": "string", "name": "string", "quantityCoefficient": 0 }]POST
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
application/json- body
conversionToSIBaseUnit?|Format
decimalid?integerFormat
int32indivisible?boolean|nullisInvisible?boolean|nulllabel?|Length
length <= 40name?|Length
length <= 40quantityCoefficient?|Format
decimalapplication/json- response
conversionToSIBaseUnit?|Format
decimalid?integerFormat
int32indivisible?boolean|nullisInvisible?boolean|nulllabel?|Length
length <= 40name?|Length
length <= 40quantityCoefficient?|Format
decimalcurl -X POST 'https://<your-instance>/api/item-lists/units' \ -H 'Authorization: Bearer <access-token>' \ -H 'Content-Type: application/json' \ -d '{}'{ "conversionToSIBaseUnit": 0, "id": 0, "indivisible": true, "isInvisible": true, "label": "string", "name": "string", "quantityCoefficient": 0}GET
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
id*integerFormat
int32application/json- response
conversionToSIBaseUnit?|Format
decimalid?integerFormat
int32indivisible?boolean|nullisInvisible?boolean|nulllabel?|Length
length <= 40name?|Length
length <= 40quantityCoefficient?|Format
decimalcurl -X GET 'https://<your-instance>/api/item-lists/units/0' \ -H 'Authorization: Bearer <access-token>'{ "conversionToSIBaseUnit": 0, "id": 0, "indivisible": true, "isInvisible": true, "label": "string", "name": "string", "quantityCoefficient": 0}PATCH
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
id*integerFormat
int32application/json- body
conversionToSIBaseUnit?|Format
decimalid?integerFormat
int32indivisible?boolean|nullisInvisible?boolean|nulllabel?|Length
length <= 40name?|Length
length <= 40quantityCoefficient?|Format
decimalapplication/json- response
conversionToSIBaseUnit?|Format
decimalid?integerFormat
int32indivisible?boolean|nullisInvisible?boolean|nulllabel?|Length
length <= 40name?|Length
length <= 40quantityCoefficient?|Format
decimalcurl -X PATCH 'https://<your-instance>/api/item-lists/units/0' \ -H 'Authorization: Bearer <access-token>' \ -H 'Content-Type: application/json' \ -d '{}'{ "conversionToSIBaseUnit": 0, "id": 0, "indivisible": true, "isInvisible": true, "label": "string", "name": "string", "quantityCoefficient": 0}DELETE
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
id*integerFormat
int32curl -X DELETE 'https://<your-instance>/api/item-lists/units/0' \ -H 'Authorization: Bearer <access-token>'Empty